RouterAdminProtocolServerSideTranslatorPB (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocolPB, class: RouterAdminProtocolServerSideTranslatorPB

Package org.apache.hadoop.hdfs.protocolPB

# Class RouterAdminProtocolServerSideTranslatorPB

java.lang.Object
org.apache.hadoop.hdfs.protocolPB.RouterAdminProtocolServerSideTranslatorPB

All Implemented Interfaces:
  `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`, `RouterAdminProtocolPB`

@Private @Stable public class RouterAdminProtocolServerSideTranslatorPB extends Object implements RouterAdminProtocolPB
This class is used on the server side. Calls come across the wire for the for protocol `RouterAdminProtocolPB`. This class translates the PB data types to the native data types used inside the HDFS Router as specified in the generic RouterAdminProtocol.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RouterAdminProtocolServerSideTranslatorPB(RouterAdminServer server)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.AddMountTableEntriesResponseProto`
  `addMountTableEntries(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.AddMountTableEntriesRequestProto request)`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.AddMountTableEntryResponseProto`
  `addMountTableEntry(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.AddMountTableEntryRequestProto request)`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.DisableNameserviceResponseProto`
  `disableNameservice(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.DisableNameserviceRequestProto request)`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.EnableNameserviceResponseProto`
  `enableNameservice(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.EnableNameserviceRequestProto request)`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.EnterSafeModeResponseProto`
  `enterSafeMode(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.EnterSafeModeRequestProto request)`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetDestinationResponseProto`
  `getDestination(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetDestinationRequestProto request)`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetDisabledNameservicesResponseProto`
  `getDisabledNameservices(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetDisabledNameservicesRequestProto request)`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetMountTableEntriesResponseProto`
  `getMountTableEntries(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetMountTableEntriesRequestProto request)`
  Get matching mount table entries.
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetSafeModeResponseProto`
  `getSafeMode(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetSafeModeRequestProto request)`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.LeaveSafeModeResponseProto`
  `leaveSafeMode(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.LeaveSafeModeRequestProto request)`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.RefreshMountTableEntriesResponseProto`
  `refreshMountTableEntries(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.RefreshMountTableEntriesRequestProto request)`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.RefreshSuperUserGroupsConfigurationResponseProto`
  `refreshSuperUserGroupsConfiguration(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.RefreshSuperUserGroupsConfigurationRequestProto request)`
  Refresh superuser proxy groups mappings.
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.RemoveMountTableEntryResponseProto`
  `removeMountTableEntry(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.RemoveMountTableEntryRequestProto request)`
  Remove an entry from the mount table.
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.UpdateMountTableEntryResponseProto`
  `updateMountTableEntry(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.UpdateMountTableEntryRequestProto request)`
  Update a single mount table entry.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RouterAdminProtocolServerSideTranslatorPB

    public RouterAdminProtocolServerSideTranslatorPB(RouterAdminServer server) throws IOException
    Constructor.
    Parameters:
      `server` - The NN server.
    Throws:
      `IOException` - if it cannot create the translator.

- ## Method Details

  - ### addMountTableEntry

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.AddMountTableEntryResponseProto addMountTableEntry(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.AddMountTableEntryRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `addMountTableEntry` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### removeMountTableEntry

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.RemoveMountTableEntryResponseProto removeMountTableEntry(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.RemoveMountTableEntryRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Remove an entry from the mount table.
    Specified by:
      `removeMountTableEntry` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### addMountTableEntries

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.AddMountTableEntriesResponseProto addMountTableEntries(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.AddMountTableEntriesRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `addMountTableEntries` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getMountTableEntries

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetMountTableEntriesResponseProto getMountTableEntries(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetMountTableEntriesRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Get matching mount table entries.
    Specified by:
      `getMountTableEntries` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### updateMountTableEntry

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.UpdateMountTableEntryResponseProto updateMountTableEntry(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.UpdateMountTableEntryRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Update a single mount table entry.
    Specified by:
      `updateMountTableEntry` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### refreshSuperUserGroupsConfiguration

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.RefreshSuperUserGroupsConfigurationResponseProto refreshSuperUserGroupsConfiguration(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.RefreshSuperUserGroupsConfigurationRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Refresh superuser proxy groups mappings.
    Specified by:
      `refreshSuperUserGroupsConfiguration` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### enterSafeMode

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.EnterSafeModeResponseProto enterSafeMode(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.EnterSafeModeRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `enterSafeMode` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### leaveSafeMode

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.LeaveSafeModeResponseProto leaveSafeMode(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.LeaveSafeModeRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `leaveSafeMode` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getSafeMode

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetSafeModeResponseProto getSafeMode(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetSafeModeRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getSafeMode` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### disableNameservice

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.DisableNameserviceResponseProto disableNameservice(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.DisableNameserviceRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `disableNameservice` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### enableNameservice

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.EnableNameserviceResponseProto enableNameservice(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.EnableNameserviceRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `enableNameservice` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getDisabledNameservices

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetDisabledNameservicesResponseProto getDisabledNameservices(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetDisabledNameservicesRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getDisabledNameservices` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### refreshMountTableEntries

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.RefreshMountTableEntriesResponseProto refreshMountTableEntries(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.RefreshMountTableEntriesRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `refreshMountTableEntries` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getDestination

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetDestinationResponseProto getDestination(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetDestinationRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getDestination` in interface `org.apache.hadoop.hdfs.protocol.proto.RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`